Package com.avaya.clientservices.call

## Enum VerificationStatus

- java.lang.Object
- - java.lang.Enum<VerificationStatus>
  - - com.avaya.clientservices.call.VerificationStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<VerificationStatus>`

      public enum VerificationStatus
      extends java.lang.Enum<VerificationStatus>

  An enumeration value indicating whether the call verification passed, failed or could not be verified.

  In the STIR/SHAKEN enabled environment, the recipient of a call can determine if the caller ID has been verified even before answering the call. It helps users avoid answering or accepting calls from spoofed caller IDs.

  The incoming calls will have the 'verstat'(verification Status) parameter inserted by the server in the INVITE request indicating if the call verification was passed, failed, or not verified.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `FAILED` | Call verification failed.
    `NOT_PERFORMED` | Call verification not performed.
    `NOT_SPECIFIED` | Call verification status is not specified, for example, if the server does not support call verification.
    `PASSED` | Call verification passed.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static VerificationStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static VerificationStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NOT_SPECIFIED

          public static final VerificationStatus NOT_SPECIFIED

      Call verification status is not specified, for example, if the server does not support call verification.

    - #### PASSED

          public static final VerificationStatus PASSED

      Call verification passed.

    - #### FAILED

          public static final VerificationStatus FAILED

      Call verification failed.

    - #### NOT_PERFORMED

          public static final VerificationStatus NOT_PERFORMED

      Call verification not performed.

  - ### Method Detail

    - #### values

          public static VerificationStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VerificationStatus c : VerificationStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VerificationStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null